Bug 625324

Summary: [abrt] fontforge-20090923-3.fc13: SCReinstanciateRefChar: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Zirneklitis <k_a_r_l_o_>
Component: fontforgeAssignee: Kevin Fenzi <kevin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: fonts-bugs, kevin, paul, roozbeh
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:ab2d63187b0e289aa6044e372e270be6c30e869c
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-28 14:25:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace none

Description Zirneklitis 2010-08-19 05:13:16 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: fontforge
comment: Can be reproduced under Xfce, I do not manage to reproduce under Gnome.
component: fontforge
crash_function: SCReinstanciateRefChar
executable: /usr/bin/fontforge
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: fontforge-20090923-3.fc13
rating: 4
reason: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282194280
uid: 500

How to reproduce
-----
1.Create a new or ope an existing font – does not matter
2.If a new font is created at least one character should be created.
3.Select an existing character.
4.Try to copy reference (twice)

Comment 1 Zirneklitis 2010-08-19 05:13:19 UTC
Created an attachment (id=439581)
File: backtrace

Comment 2 Kevin Fenzi 2010-08-19 15:55:45 UTC
Can you please try updating to the packages here: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2411845

and see if you can reproduce the issue?

Comment 3 Zirneklitis 2010-08-27 06:19:18 UTC
*** Bug 627846 has been marked as a duplicate of this bug. ***

Comment 4 Zirneklitis 2010-08-27 06:20:26 UTC
> and see if you can reproduce the issue?

The problem persist :(

Comment 5 Paul Flo Williams 2011-03-10 12:57:09 UTC
I no longer have F13 installed anywhere but, as you still have the problem with the scratch build Kevin supplied, I've put XFCE 4.6.2 on my laptop with F14. I have been unable to reproduce this with fontforge-20100501-7.

I can quite happily copy references over multiple other characters, unlink references and repeat the copies until I have a ton of overlapping outlines, all with no crashing at all.

I also can't get this to go wrong with GNOME (same as for you).

If you can get this to go wrong with one of the standard fonts (Deja Vu, say), and you can tell me, key by key, what you did to get it to go wrong, I'll have another go at reproducing it, but for now it's a mystery, sorry.

Comment 6 Bug Zapper 2011-06-01 11:10:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-28 14:25:38 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.